var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UMB_USER_GROUP_WORKSPACE_PATH } from '../../paths.js';
import { css, html, LitElement, customElement, property } from '../../../../../external/lit/index.js';
import { UmbTextStyles } from '../../../../core/style/index.js';
let UmbUserGroupTableNameColumnLayoutElement = class UmbUserGroupTableNameColumnLayoutElement extends LitElement {
    render() {
        const href = UMB_USER_GROUP_WORKSPACE_PATH + '/edit/' + this.item.id;
        return html `<a href=${href}>${this.value.name}</a>`;
    }
    static { this.styles = [
        UmbTextStyles,
        css `
			a {
				font-weight: bold;
			}
		`,
    ]; }
};
__decorate([
    property({ type: Object, attribute: false })
], UmbUserGroupTableNameColumnLayoutElement.prototype, "item", void 0);
__decorate([
    property({ attribute: false })
], UmbUserGroupTableNameColumnLayoutElement.prototype, "value", void 0);
UmbUserGroupTableNameColumnLayoutElement = __decorate([
    customElement('umb-user-group-table-name-column-layout')
], UmbUserGroupTableNameColumnLayoutElement);
export { UmbUserGroupTableNameColumnLayoutElement };
export default UmbUserGroupTableNameColumnLayoutElement;
